Changing the settings of a maintenance page of a subdomain¶
Note
The body must include the attributes id and modified to identify the corresponding entry.
Note
In the Myra App the placeholder twitter for X is still used.
Note
The ID of the entry in the path of the request must match the value of the attribute id in the body.
Sends a PUT request to the endpoint /domain/{domainId}/{vHostName}/maintenances/{id}.
Description¶
The Change-Maintenance-Page request allows the user to change a maintenance page of a subdomain of the organisation.
Requirements¶
Values of the request: Domain-ID {domainId}, Subdomain name {vHostName}, Maintenance-Page-ID {id}
Objects: MaintenanceVO
Request¶
To change a maintenance page of a subdomain, the Domain-ID {domainId}, the Subdomain name {vHostName}, and the Maintenance-Page-ID {id} need to be added to the path of the HTTP request.
For a detailed specification of which information is required to change a maintenance page, the object MaintenanceVO with the following attributes needs to be defined in the body:
| Attributes | Description | Values |
|---|---|---|
fqdn |
The subdomain name to which the maintenance page is assigned. | |
id |
The ID of the maintenance page. | integer |
modified |
The last modification date in ISO 8601 format. | string($date-time) |
The following attributes are optional:
| Attributes | Description | Values |
|---|---|---|
start |
The date as ISO 8601 when the maintenance page starts to be enabled. | string($date-time) |
end |
The date as ISO 8601 until the maintenance page is enabled. | string($date-time) |
content |
The content of the maintenance page as HTML. Note that no resources from the subdomain that has been set to maintenance mode can be included. If the maintenance page contains images, use a different domain or inline base64-encoded images. | string |
active |
The availability of the maintenance page. |
|
defaultPage |
An array with defined default pages which should be used instead of an own content page. | Default page generated by Myra, link to an external page such as Facebook or X. One or more default pages can be used. |
vhostId |
The ID of the subdomain to which the maintenance page is assigned. | integer |
The system returns the object MaintenanceVO with the changed information.
Example¶
Example request body:
{
"objectType": "string",
"fqdn": "string",
"start": "string",
"end": "string",
"content": "string",
"contentFrom": "string",
"active": true,
"defaultPage": "string",
"vhostId": 0,
"permissions": "string",
"comment": "string"
}
Responses¶
The following responses are available:
| STATUS CODE | DESCRIPTION |
|---|---|
| 200 | The request has succeeded. |
| 400 | The request was unsuccessful. The request was invalid or information is missing. |
| 401 | The request has not succeeded because the user authentication was incorrect. |
| 403 | The request has not succeeded because the user does not have the right permissions. |